package it.sw.pa.comune.artegna.service.mapper;

import static it.sw.pa.comune.artegna.domain.NotificaAsserts.*;
import static it.sw.pa.comune.artegna.domain.NotificaTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class NotificaMapperTest {

    private NotificaMapper notificaMapper;

    @BeforeEach
    void setUp() {
        notificaMapper = new NotificaMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getNotificaSample1();
        var actual = notificaMapper.toEntity(notificaMapper.toDto(expected));
        assertNotificaAllPropertiesEquals(expected, actual);
    }
}
